1 (изменено: PunBB, 2016.04.30 11:15)

Тема: Fancy Code Highliter - подсветка синтаксиса программного кода

Расширение Fancy Code Highliter для подсветки синтаксиса кода в теге "code".

Original Version:
Поддержка PunBB 1.4RC - 1.4.2
Зависимости от pun_jquery
Автор оригинала dimka.linux@gmail.com

Скачать оригинал Fancy Code Highliter fancy_prettify_0.7.1.zip


https://punbb.info/uploads/images/2017/04/15/screenshot.2017-04-15_18.10.48.png

Если вам долго не отвечают, пишите автору темы в личку или на Email.

2

Re: Fancy Code Highliter - подсветка синтаксиса программного кода

Update Version: Это обновление позволяет добавить в расширение две кнопки для удобства при нажатии на которые можно либо выделить либо скопировать текст. Данная функция реализована с помощью JavaScript

Поддержка PunBB 1.4RC - 1.4.4
Зависимости от pun_jquery
+ 2 ссылки Копировать и Выделить все
Редактор PunBB

Скачать Update Version Fancy Code Highliter fancy_prettify.zip

Если вам долго не отвечают, пишите автору темы в личку или на Email.

3

Re: Fancy Code Highliter - подсветка синтаксиса программного кода

Hi..not work. PunBB_INFO_ICQ/sad

Take a look : http://usbcode.ir/viewtopic.php?id=190

4

Re: Fancy Code Highliter - подсветка синтаксиса программного кода

you have excellent styles from the usual, I'll watch later.

Если вам долго не отвечают, пишите автору темы в личку или на Email.

5 (изменено: PunBB, 2018.03.15 08:57)

Re: Fancy Code Highliter - подсветка синтаксиса программного кода

You have some errors in the browser console
https://punbb.info/uploads/images/2018/03/2e337f9827c2fc3ca18f819c88b77730.png
Styles that do not exist are connected. Maybe you have some kind of problem with the rights. Address to your hoster.

Если вам долго не отвечают, пишите автору темы в личку или на Email.

6

Re: Fancy Code Highliter - подсветка синтаксиса программного кода

PunBB, Hi ... what do i say to host?

7

Re: Fancy Code Highliter - подсветка синтаксиса программного кода

You need to ask your hoster why he restricted the rights.
No file opens normally. Maybe you need to configure .htaccess for you.
If you do not understand, ask the hosting provider, they have to fix it.

Если вам долго не отвечают, пишите автору темы в личку или на Email.

8

Re: Fancy Code Highliter - подсветка синтаксиса программного кода

PunBB, Thank you ... I'm reporting this to the hosting. PunBB_INFO_ICQ/smile

9

Re: Fancy Code Highliter - подсветка синтаксиса программного кода

PunBB, Hi...Hosting says: This may be a function, ask what needs to examine.

10 (изменено: kisa, 2018.03.16 20:09)

Re: Fancy Code Highliter - подсветка синтаксиса программного кода

RaymondDragon, Я могу  выставлять  права самостоятельно на каталоги и файлы на хостинге:
https://punbb.info/uploads/images/2018/03/376c2b2538eafc21d977a8435c2add5a.png

Может быть, при распаковке расширения у Вас права неправильные, и это можно изменить самостоятельно?

11 (изменено: , 2018.03.16 20:35)

Re: Fancy Code Highliter - подсветка синтаксиса программного кода

kisa, I will change the access, then I will say the result

I changed the two access extensions to 755, but it still has problems and does not work.
http://s8.picofile.com/file/8321867534/Capture1.png

12 (изменено: kisa, 2018.03.16 21:14)

Re: Fancy Code Highliter - подсветка синтаксиса программного кода

This is strange: we see very different mistakes. And everything that I see, does not apply to this extension  PunBB_INFO_ICQ/whipped
https://punbb.info/uploads/images/2018/03/72d381dc536ff6f572318899930cc134.png

And try playing with this:
https://punbb.info/uploads/images/2018/03/e3ce73d0bfb1775142e25c75de8da4a3.png

https://punbb.info/t-1054.html
PunBB_INFO_ICQ/pardon

13 (изменено: RaymondDragon, 2018.03.16 22:17)

Re: Fancy Code Highliter - подсветка синтаксиса программного кода

kisa, I made this jQuery setting and got an error in all forum posts

Warning: preg_replace_callback(): Modifier /e cannot be used with replacement callback in /home/.../public_html/include/parser.php on line 811

PunBB_INFO_ICQ/sad  PunBB_INFO_ICQ/shock  PunBB_INFO_ICQ/whipped

The problem was solved

14 (изменено: PunBB, 2018.03.17 07:50)

Re: Fancy Code Highliter - подсветка синтаксиса программного кода

so which of the extensions caused the error? as you decided?

Если вам долго не отвечают, пишите автору темы в личку или на Email.

15

Re: Fancy Code Highliter - подсветка синтаксиса программного кода

PunBB, Hi....Plugin Fancy GitHub Gists

16

Re: Fancy Code Highliter - подсветка синтаксиса программного кода

RaymondDragon сказал:

GitHub Gists

All the plugins of the author are very outdated, and we republish them. Ask questions where you pick them up ..

Если вам долго не отвечают, пишите автору темы в личку или на Email.